<?php

declare(strict_types=1);

namespace Dedi\SyliusSettingsPlugin\Service;

use Dedi\Contracts\SyliusPluginSettings\SettingsFactoryInterface;
use Dedi\Contracts\SyliusPluginSettings\SettingsInterface;

class SettingsFactory implements SettingsFactoryInterface
{
    public function create(string $class, array $options): SettingsInterface
    {
        return new $class(...$options);
    }
}
